Subject: Re: gettext-0.14.5 for testing
To: None <>
From: None <>
List: tech-pkg
Date: 02/04/2006 14:36:44
On Fri, Feb 03, 2006 at 09:37:00PM -0800, Jeremy C. Reed wrote:
> My own pkgsrc has been tweaked to use the gettext packages from pkgsrc-wip 
> for a couple years now. My main NetBSD system is using a 
> gettext-lib-0.14.1 package from Oct. 2004. And my pkgsrc is patched to 
> never use gettext-lib on Linux (and uses glibc instead). I have been doing 
> that for at least a couple years now too.

gettext-lib should never be used on systems with integrated libintl, be
it newer NetBSD or Linux. I'd say you should fill a PR otherwise :-)

> If I recall correctly, the -m4 package is no longer needed (when using 
> the pkgsrc-wip packages).

I think the m4 packge is still useful, since it allows proper
regeneration of autoconf scripts without pulling in the full
devel/gettext. It doesn't hurt anyway and it doesn't even run configure